Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000405Core InformActionspublic2010-11-11 03:192011-01-10 11:15
ReporterPhonatacid 
Assigned Tograham 
PrioritynormalSeverityseriousReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.6
Product Version6F95 
Target VersionFixed in Version6G60 
Summary0000405: Action names composed of multiple words cause the game to reject rules about these actions when they specify an actor.
DescriptionYou can define an action with more than one words:
Lawn mowing is an action applying to nothing.

But you cannot write rules about a specific actor:
Carry out Bob lawn mowing in the eastern part of the garden:
Minimal Source Text To Reproduce
There is a room.

Dead end reaching is an action applying to nothing.

Carry out [an actor] dead end reaching:
	say "wall";
Additional InformationUncomment and the bug will show up.


TagsNo tags attached.
Effect(serious) Compiler rejects valid code
Attached Files

- Relationships
related to 0000596closedgraham "Try the actor" doesn't work with actions of which the first word does not end with "-ing". 

-  Notes
(0000853)
graham (administrator)
2010-11-21 10:50

Fixed. It occurred only when using a multi-word action where the participle is not the first word, and only with "an actor"... But it did occur. Sigh.

- Issue History
Date Modified Username Field Change
2010-11-11 03:19 Phonatacid New Issue
2010-11-12 15:37 jmcgrew Severity mild => serious
2010-11-12 15:37 jmcgrew Status new => acknowledged
2010-11-12 15:37 jmcgrew Steps to Reproduce Updated View Revisions
2010-11-13 07:12 EmacsUser Status acknowledged => confirmed
2010-11-21 10:50 graham Note Added: 0000853
2010-11-21 10:50 graham Status confirmed => resolved
2010-11-21 10:50 graham Resolution open => fixed
2010-11-21 10:50 graham Assigned To => graham
2010-12-23 17:37 jmcgrew Fixed in Version => 6G60
2011-01-10 11:15 jmcgrew Status resolved => closed
2011-03-02 22:16 jmcgrew Relationship added related to 0000596


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker